import request from "@/utils/request";

//获取发电用户列表
export function getPowerGenerationUserPageList(data) {
    return request({
        url: "/device-boot/pms/powerGenerationUser/getPowerGenerationUserPageList",
        method: "post",
        data,
    });
}
// 新增发电用户
export function addPowerGenerationUser(data) {
    return request({
        url: "/device-boot/pms/powerGenerationUser/addPowerGenerationUser",
        method: "post",
        data,
    });
}
// 修改发电用户
export function updatePowerGenerationUser(data) {
    return request({
        url: "/device-boot/pms/powerGenerationUser/updatePowerGenerationUser",
        method: "post",
        data,
    });
}

//删除用电用户
export function delPowerGenerationUser(data) {
    return request({
        url: "/device-boot/pms/powerGenerationUser/delPowerGenerationUser",
        method: "delete",
        data,
    });
}
// 获取电站
export function getstatationStatList(data) {
    return request({
        url: "/device-boot/pms/statationStat/getstatationStatList",
        method: "post",
        data,
    });
}
// 获取线路
export function getGeneratrixWireList(data) {
    return request({
        url: "/device-boot/pms/generatrixWire/getGeneratrixWireList",
        method: "post",
        data,
    });
}
// 获取台区
export function getPowerDistributionAreaList(data) {
    return request({
        url: "/device-boot/pms/powerDistributionarea/getPowerDistributionList",
        method: "post",
        data,
    });
}